Bug 233348 - i915 BUG
i915 BUG
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-21 14:52 EDT by Bill Peck
Modified: 2008-02-07 23:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2007-03-21 14:52:20 EDT
Description of problem:
while screen saver is running the graphic system locked up and BUG'ed.  BUG
output is pasted below.

Version-Release number of selected component (if applicable):
2.6.20-1.2925.fc6

How reproducible:
unknown

Additional info:
compiz was running on the desktop as well..
Intel 965 graphics

BUG: unable to handle kernel paging request at virtual address f90bfff8
 printing eip:
f8dd160f
*pde = 00000000
Oops: 0002 [#1]
SMP 
last sysfs file: /devices/pci0000:00/0000:00:00.0/irq
Modules linked in: rfcomm hidp l2cap bluetooth ohci1394 ieee1394 button nfs
lockd nfs_acl i915 drm autofs4 hwmon i2c_isa eeprom sunrpc dm_mirror
dm_multipath dm_mod video sbs i2c_ec dock battery asus_acpi backlight ac ipv6 lp
snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc parport_pc i2c_i801 r8169 iTCO_wdt iTCO_vendor_support parport
i2c_core serio_raw pcspkr sg usb_storage ahci ata_piix libata sd_mod scsi_mod
ext3 jbd ehci_hcd ohci_hcd uhci_hcd
CPU:    1
EIP:    0060:[<f8dd160f>]    Not tainted VLI
EFLAGS: 00010206   (2.6.20-1.2925.fc6 #1)
EIP is at i915_emit_box+0xe7/0x1ea [i915]
eax: f90bfff8   ebx: f8ec0000   ecx: 001ffffc   edx: ffff0300
esi: 08998178   edi: 0001ffff   ebp: ebd28bc0   esp: eab1dea0
ds: 007b   es: 007b   ss: 0068
Process rss-glx-hypersp (pid: 6486, ti=eab1d000 task=ef3ca670 task.ti=eab1d000)
Stack: 00000158 c04c4128 00000246 eab1deb8 00000000 eab1df54 00000000 03000400 
       00000001 00000043 ebd28bc0 f0c93000 f8dd21da 00000000 00000000 c04c47a3 
       00000001 eab1df54 ec627000 f8c1a898 00000001 00000000 08998178 00000001 
Call Trace:
 [<c04c4128>] avc_has_perm+0x4e/0x58
 [<f8dd21da>] i915_batchbuffer+0x187/0x29d [i915]
 [<c04c47a3>] inode_has_perm+0x5b/0x63
 [<f8dd2053>] i915_batchbuffer+0x0/0x29d [i915]
 [<f8dedfb2>] drm_ioctl+0x150/0x196 [drm]
 [<c04c4837>] file_has_perm+0x8c/0x94
 [<c047c33c>] do_ioctl+0x4c/0x62
 [<c047c596>] vfs_ioctl+0x244/0x256
 [<c047c5f4>] sys_ioctl+0x4c/0x64
 [<c0403f64>] syscall_call+0x7/0xb
 =======================
Code: 29 00 00 75 7d 83 7d 28 0f 7f 11 b9 57 39 dd f8 ba 10 00 00 00 89 f8 e8 00
fa ff ff 8b 5d 1c 8b 4d 24 8b 7d 0c 8d 04 0b 83 c1 04 <c7> 00 02 00 00 79 0f b7
44 24 1a 21 f9 0f b7 54 24 18 8d 34 0b 
EIP: [<f8dd160f>] i915_emit_box+0xe7/0x1ea [i915] SS:ESP 0068:eab1dea0
 <3>BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1
 [<c043a262>] down_read+0x12/0x28
 [<c044654e>] acct_collect+0x38/0x13e
 [<c0429b30>] do_exit+0x1b1/0x6f6
 [<c0427bf8>] printk+0x1f/0x95
 [<c0405530>] die+0x21b/0x240
 [<c062153b>] do_page_fault+0x407/0x4da
 [<c0621134>] do_page_fault+0x0/0x4da
 [<c061fd9c>] error_code+0x7c/0x84
 [<c042007b>] find_busiest_group+0x119/0x4c3
 [<f8dd160f>] i915_emit_box+0xe7/0x1ea [i915]
 [<c04c4128>] avc_has_perm+0x4e/0x58
 [<f8dd21da>] i915_batchbuffer+0x187/0x29d [i915]
 [<c04c47a3>] inode_has_perm+0x5b/0x63
 [<f8dd2053>] i915_batchbuffer+0x0/0x29d [i915]
 [<f8dedfb2>] drm_ioctl+0x150/0x196 [drm]
 [<c04c4837>] file_has_perm+0x8c/0x94
 [<c047c33c>] do_ioctl+0x4c/0x62
 [<c047c596>] vfs_ioctl+0x244/0x256
 [<c047c5f4>] sys_ioctl+0x4c/0x64
 [<c0403f64>] syscall_call+0x7/0xb
 =======================
[drm:drm_release] *ERROR* Device busy: 1 0
Comment 1 Jon Stanley 2008-01-07 20:49:56 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:28:10 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.